For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • GETList workspace user roles
      • DELRemove a user from a given workspace
      • PATCHUpdate user roles for the given workspace

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceWorkspace Permissions

Update user roles for the given workspace

PATCH
https://api.frame.io/v4/accounts/:account_id/workspaces/:workspace_id/users/:user_id
PATCH
/v4/accounts/:account_id/workspaces/:workspace_id/users/:user_id
1from frameio import Frameio
2from frameio.workspace_permissions import UpdateWorkspaceRoleParamsData
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.workspace_permissions.workspace_user_roles_update(
9 account_id="5c7c3a33-7df2-4103-aab6-7ed81263abfa",
10 workspace_id="d7056e96-3c5e-4a0e-8635-8721a1631c9c",
11 user_id="afebb798-3400-4758-b590-84894f08495c",
12 data=UpdateWorkspaceRoleParamsData(
13 role="editor",
14 ),
15)
1{
2 "data": {
3 "role": "editor"
4 }
5}

Update user roles for the given workspace if the user is already added to the workspace. If the user is not added to the workspace, the user will be added with the given role.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

このページは役に立ちましたか?
前へ

Create workspace

次へ

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
workspace_idstring必須形式: "uuid"
A UUID string that uniquely identifies a Frame.io entity.
user_idstring必須形式: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

リクエスト

Update user roles params body
dataobject必須

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
dataobject

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).